Technical Requirements

Dayforce Release Notes version 2023.1.0

Version
R2023.1.0
Release Date
2/14/2023
Technical Requirements

Hardware Requirements

Component Minimum Recommended
Processor 1.6-gigahertz (GHz) or higher Intel Pentium IV or better
Memory

2 GB of RAM (ESS Users)
4 GB of RAM (Management Users)

4 GB of RAM or greater
Hard Disk Minimum of 1 GB free Minimum of 1 GB free
Monitor Resolution 1024 x 768 1366 x 768
Network Bandwidth 5.0 Mbps Greater than 5.0 Mbps

Third-Party Software

  • Adobe Acrobat Reader 8 or later
  • Microsoft Excel 2003 or later

Open Network Ports

  • Https: 443, Http: 80

Compatible Browsers - Desktop

For optimum performance we recommend using the latest version of Chrome, Safari, Firefox, or Edge.

Dayforce is actively tested and supported for the below browsers on their latest version and immediate prior major version. While Dayforce might run without major issues in older versions of these browsers, some new or existing functionality may no longer work as expected. We recommend to use the latest version of a supported browser to take advantage of efficiencies and security, and for a better Dayforce experience.

Chrome Safari Firefox Edge
ü ü ü ü

Compatible Browsers - Tablets

Important: These system requirements are for using the Dayforce web application, Clock, or Clock+ on a mobile device, not for the native mobile app. Requirements for native mobile app can be found later in this document.

  Google Android Operating Systems Apple iOS
Minimum Version Version 5.0 (Lollipop, API level 21) or higher iOS 5 or higher
Browser

Chrome version 92 or higher

https://en.wikipedia.org/wiki/Google_Chrome_for_Android

Mobile Safari 7 on iOS 5 or higher

https://en.wikipedia.org/wiki/IPad

Devices  
  • iPad 5th Generation or later
  • iPad Mini 2 or later
  • iPad Air
  • iPad Pro

Dayforce Clock and Clock+ Browser Requirements

Supported Desktop Browsers Minimum Browser Version Required
Chrome 44
Edge 17
Firefox 40
Safari 7 or higher

Note: See the Compatible Browsers - Tablets section for mobile requirements.

Dayforce Learning Requirements

Supported Desktop Browsers** Supported Mobile Operating Systems Browser Settings
  • Chrome
  • Firefox
  • Safari
  • Edge
  • iOS 9***
  • Android 6.0***
  • JavaScript must be enabled
  • Cookies must be enabled
  • Local storage must be enabled

***Notes for Mobile Devices:

  • If you are using a smartphone or tablet you can access your learning platform by using the Dayforce Learning App.
  • No administrator functionality is supported on the Dayforce Learning App.
  • Mobile browsers for both phones and tablets are not supported for employees and administrators.

Notes for Flash Content:

Please keep in mind that Flash content is not playable on iOS devices. Flash was deprecated on Android devices in 2012, and on desktop browsers in 2020.

When adding learning content to your courses, be sure to avoid adding Flash-based content (in SCORM or HTML training materials) because, most likely, the learning content will not be playable by learners using mobile devices and modern desktop browsers.

Upload Type Compatible File Types File Size
File Repository Widget

ZIP, DOC, XLS, PPT, GIF, PNG, TXT, DOCX, PPTX, XLSX, PDF, FLV, ODS, ODP, CSV, and MP4

400 MB
Files DOC, XLS, GIF, PNG, TXT, DOCX, XLSX, PDF, PPT, and ZIP 800 MB
Video Files 3GP, AAC, AVI, FLV, MP4, WMV, MPEG-2, and MOV 800 MB
External Video Links Links from YouTube, Vimeo, or Wistia  
SCORM

SCORM versions 1.2 and 2004 3rd edition

Must be imported as a zip package

Does Not Accept: pl, rb, aspx, py, jsp, asp, waspx, shtml, sh, cgi, php, ph3, php4, php5, phps, and hta access

800 MB
AICC

CMI001 – AICC/CMI Guidelines for interoperability (version 4.0)

Communication Protocol: HACP (HTTP Communication Protocol)

Level of complexity implemented: Level 1: Basic structure of course, location, description, and implied order

Must be imported as a ZIP package. The configuration files of the AICC package must be in the root of the ZIP file

800 MB
xAPI/Tin Can

Supports the Tin Can Standard 1.0.*

Must be imported as a ZIP package

Learning LRS works in pair with LMS, thus to be able to link activities completed by the users to course progress, users are required to recognize the activity ID passed in the xAPI statement. To make the LRS recognize these activity IDs, users must upload an xAPI package on the LMS with a proper tincan.xml descriptor in it.

800 MB

Assignments PPT, PPTX, Zip File or Archive, PDF, JPG, DOC, DOCX, TXT, XLS, XML, CSV, ODS, MP4, YouTube videos, Vimeo videos, Wistia videos, and MP3 40 MB
Google Drive Imports (import from Google Drive)

As Learning Objects:

documents, slides, spreadsheets, and drawings

As Coach and Share Assets:

documents, slides, spreadsheets, and drawings

 
Slides Converter PDF, ODP, PPT, and PPTX 800 MB or 150 pages
Lectora Content (transferred from Lectora) Can only be published in the central repository, not directly into courses  

Mobile Applications

Component Minimum
Google Android

As of Release 62, version 7.0 (Nougat, API level 24) and later.

Google Play Services is required for clients using the Clock or Set Coordinates features.

Unlock Android with fingerprint

https://support.google.com/nexus/answer/6285273?hl=en

Note: Android isn't the same on all devices.

Apple iOS

As of Release 62, iOS version 14 or higher is required:

  • iPhone 6S or later
  • iPad Air 2 or later
  • iPad Mini 4 or later
  • iPad Pro

https://en.wikipedia.org/wiki/List_of_iOS_devices

You can use Touch ID with these devices:

https://en.wikipedia.org/wiki/Touch_ID

About Touch ID security on iPhone and iPad:

https://support.apple.com/en-us/HT5949

How to setup Touch ID:

https://support.apple.com/en-us/HT201371

You can use Face ID with these devices:

https://en.wikipedia.org/wiki/Face_ID

Getting help with Face ID:

https://support.apple.com/en-us/HT208109

Dayforce

As of Release 60, Service Pack 3, server version 60 and higher is required.